//偏向型技术进步指数测度
import excel "检验数据与检验结果.xlsx", sheet("偏向型技术进步测度数据") firstrow
xtset code year
xtreg lnY  lnS lnN T  lnSS lnNN TT   lnSN TlnS TlnN,fe

//影响因素回归分析
import excel "检验数据与检验结果.xlsx", sheet("影响因素数据") firstrow
xtreg  lnY L2.lnTE lnRD lnOS lnTrade lnES, fe
est store fe
xtreg lnY L2.lnTE lnRD lnOS lnTrade lnES, re
est store re
hausman fe re
regress lnY L2.lnTE lnRD lnOS lnTrade lnES
est store ols
hausman re ols

//虚拟变量构建
gen northeast =0
replace northeast = 1 if code == 6 |   code == 7| code == 8
gen southwest = 0
replace southwest = 1 if  code == 20 | code == 22 | code == 23 | code == 24
gen northwest = 0
replace northwest = 1 if  code == 25 |  code == 26 | code == 27 |  code == 28 |  code == 5
gen middle = 0
replace middle = 1 if code == 4  | code == 14 | code == 16 | code == 17 | code == 18| code == 21
gen east =0
replace east = 1 if code == 1 |   code == 2| code == 3 | code == 9 |  code ==10 | code == 11 |  code == 13 |  code == 15 |  code == 19 | code == 12

//稳健性检验
regress lnY L2.lnTE lnTrade lnES lnRD lnOS east northeast southwest middle

//异质性检验

//东北地区
keep if  code == 6 |   code == 7| code == 8
regress lnY L2.lnTE lnRD lnOS lnTrade lnES
 
//西南地区
keep if  code == 20 | code == 22 | code == 23 | code == 24
regress lnY L5.lnTE lnRD lnOS lnTrade lnES

//西北地区
keep if  code == 25 |  code == 26 | code == 27 | code == 28 |  code == 5
regress lnY L.lnTE lnRD lnOS lnTrade lnES

//中部地区
keep if  code == 4  | code == 14 | code == 16 | code == 17 | code == 18| code == 21
regress lnY L2.lnTE lnRD lnOS lnTrade lnES

//东部地区
keep if code == 1 |   code == 2| code == 3 | code == 9 |  code ==10 | code == 11 |  code == 12 |  code == 13 |  code == 15 | code == 19
regress lnY L6.lnTE lnRD lnOS lnTrade lnES